MonitorsSsh monitors
List SSH Monitors
Lists SSH monitors in an organization.
GET /api/ssh-monitors
Authentication
Requires a valid session.
- Header:
Authorization: Bearer <token>
Parameters
organizationId(Query, optional): Organization ID. Defaults to the current user's organization.customerId(Query, optional): Filter by customer ID.search(Query, optional): Search by monitor name, hostname, or customer.page(Query, optional): Page number (default: 1).perPage(Query, optional): Items per page (default: 50, max: 200).
cURL
curl "https://YOUR_DOMAIN/api/ssh-monitors?page=1&perPage=50" \
-H "Authorization: Bearer $TOKEN"Response
{
"items": [
{
"id": 300,
"organizationId": 1,
"customerId": 10,
"name": "Bastion Host",
"hostname": "ssh.example.com",
"port": 22,
"status": "active",
"checkInterval": 60,
"timeoutSeconds": 30,
"customerName": "Example Customer",
"notificationEmail": null,
"notificationPhoneNumber": null,
"lastCheckedAt": "2026-02-26T12:00:00.000Z",
"createdAt": "2026-02-26T12:00:00.000Z",
"updatedAt": "2026-02-26T12:00:00.000Z",
"config": {
"username": "root"
}
}
],
"total": 1,
"page": 1,
"perPage": 50
}Errors
400InvalidorganizationIdorcustomerId401Unauthorized403Forbidden